<?php
define('IN_WEB', true);

$sid = (isset($_REQUEST['sid']) == false) ? 1 : $_REQUEST['sid'];
$lid = (isset($_REQUEST['lid']) == false) ? 1 : $_REQUEST['lid'];

include_once dirname(__FILE__) . "/../com.php";

$uid = $_REQUEST['uid'] ?? 1;
$type = oo::functions()->uint($_REQUEST['type']);
$desc = oo::functions()->escape($_REQUEST['desc']);
$img = oo::functions()->escape($_REQUEST['img']);
$macid = oo::functions()->escape($_REQUEST['macid']);
$version = oo::functions()->escape($_REQUEST['version']);
$network = oo::functions()->uint($_REQUEST['network']);

$param = array('uid' => $uid, 'sid' => $sid, 'type' => $type, 'desc' => $desc, 'img' => $img, 'macid' => $macid, 'version'=>$version, 'network'=>$network);
$data = oo::commonOprModel('feedback')->usersubmit($param);
die( json_encode($data) );